com.sun.grid.jgdi.configuration

## Interface JG

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    JGImpl

      public interface JG
      extends GEObject

  Java representation of the cull object JG_Type defined in sge_all_listsL.template

  Warning: The JG class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getQhostname()` Get the value of the qhostname attribute.
    `java.lang.String` | `getQname()` Get the value of the qname attribute.
    `int` | `getSlots()` Get the value of the slots attribute.
    `boolean` | `isSetQhostname()` Determine if any qhostname attribute is set
    `boolean` | `isSetQname()` Determine if any qname attribute is set
    `boolean` | `isSetSlots()` Determine if any slots attribute is set
    `void` | `setQhostname(java.lang.String aQhostname)` Set the qhostname attribute.
    `void` | `setQname(java.lang.String aQname)` Set the qname attribute.
    `void` | `setSlots(int aSlots)` Set the slots attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setQname

          void setQname(java.lang.String aQname)

      Set the qname attribute.
      Parameters:
        `aQname` - the new value for the qname attribute

    - #### getQname

          java.lang.String getQname()

      Get the value of the qname attribute.
      Returns:
        the value of the qname attribute

    - #### isSetQname

          boolean isSetQname()

      Determine if any qname attribute is set
      Returns:
        `true` if the qname attribute is set

    - #### setQhostname

          void setQhostname(java.lang.String aQhostname)

      Set the qhostname attribute.
      Parameters:
        `aQhostname` - the new value for the qhostname attribute

    - #### getQhostname

          java.lang.String getQhostname()

      Get the value of the qhostname attribute.
      Returns:
        the value of the qhostname attribute

    - #### isSetQhostname

          boolean isSetQhostname()

      Determine if any qhostname attribute is set
      Returns:
        `true` if the qhostname attribute is set

    - #### setSlots

          void setSlots(int aSlots)

      Set the slots attribute.
      Parameters:
        `aSlots` - the new value for the slots attribute

    - #### getSlots

          int getSlots()

      Get the value of the slots attribute.
      Returns:
        the value of the slots attribute

    - #### isSetSlots

          boolean isSetSlots()

      Determine if any slots attribute is set
      Returns:
        `true` if the slots attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.